const Gvc = imports.gi.Gvc;

var controller;

function activeOutputUpdate(controller, id) {
    let device = controller.lookup_output_id(id);

    //FIXME: (gnome-shell:2110): Gjs-WARNING **: JS ERROR: Error: Can't create a Javascript object for MixerCardProfile; 
    let profiles = device.get_profiles();
}

function init() {
    controller = new Gvc.MixerControl({ name: "gnome.test" });
    controller.connect("active-output-update", activeOutputUpdate);
    controller.open();
}

function enable() {
}

function disable() {
}
